
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>web前端一 / 憋错料</title>

    <meta name="description" content="web前端一 先进行前端的训练测试,在测试之前首先先写一个socket程序用来做服务端,页面下一章会提到,在这里我用的自己本机的8081端口做的服务端,代码如下: import socket def main(): sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM) sock.bind(('localhost',8081)) sock.listen(5) while True: print(&quot;server is working.....& ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">web前端一</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>先进行前端的训练测试，在测试之前首先先写一个socket程序用来做服务端，页面下一章会提到，在这里我用的自己本机的8081端口做的服务端，代码如下：</p>
<pre>import socket

def main():

    sock = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
    sock.bind((‘localhost‘,8081))
    sock.listen(5)

    while True:
        print("server is working.....")
        conn, address = sock.accept()

        request = conn.recv(1024)
        with open ("test.html","r",encoding=‘utf-8‘)as read_f:
            conn.sendall(bytes("HTTP/1.1 201 OK\r\n\r\n%s"%read_f.read(),"utf8"))
        conn.close()

if __name__ == ‘__main__‘:

    main()</pre>
<p>很简单的代码，上面的代码写了个循环，sock.bind后面接的localhost表示本机ip，8081表示端口.</p>
<p>重点介绍下前端的html文件，首先可以新建一个新的html文件，它会默认的有一些代码：</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
&lt;/head&gt;
&lt;body&gt;

&lt;/body&gt;
&lt;/html&gt;</pre>
<p>这些默认代码含义如下所示：</p>
<ul>
<li>&lt;!DOCTYPE html&gt; 告诉浏览器使用什么样的html或者xhtml来解析html文档</li>
<li>&lt;html&gt;&lt;/html&gt;是文档的开始标记和结束标记。此元素告诉浏览器其自身是一个 HTML 文档，在它们之间是文档的头部&lt;head&gt;和主体&lt;body&gt;。</li>
<li>&lt;head&gt;&lt;/head&gt;元素出现在文档的开头部分。&lt;head&gt;与&lt;/head&gt;之间的内容不会在浏览器的文档窗口显示，但是其间的元素有特殊重要的意义。</li>
<li>&lt;title&gt;&lt;/title&gt;定义网页标题，在浏览器标题栏显示。</li>
<li>&lt;body&gt;&lt;/body&gt;之间的文本是可见的网页主体</li>
</ul>
<p>通常写css的时候在body处写主体页面，在head处可以定义类。</p>
<p>下面介绍几种常用标签：</p>
<pre>&lt;hn&gt;: n的取值范围是1~6; 从大到小. 用来表示标题.

&lt;p&gt;: 段落标签. 包裹的内容被换行.并且也上下内容之间有一行空白.

&lt;b&gt; &lt;strong&gt;: 加粗标签.

&lt;strike&gt;: 为文字加上一条中线.

&lt;em&gt;: 文字变成斜体.

&lt;sup&gt;和&lt;sub&gt;: 上角标 和 下角表.

&lt;br&gt;:换行.

&lt;hr&gt;:水平线
</pre>
<p>块级标签：一个标签占用一行的叫块级标签，反过来就是内联标签</p>
<p>div标签是常用的块级标签。</p>
<p>比如本周的作业，在head处的定义：</p>
<pre>&lt;!DOCTYPE html&gt;
&lt;html lang="en"&gt;
&lt;head&gt;
    &lt;meta charset="UTF-8"&gt;
    &lt;title&gt;Title&lt;/title&gt;
    &lt;style&gt;
     .dingyi{
            width: 500px;
            height: 30px;
            background: #ccd;
            float: left;
            text-align:center
        }
     .dingyi2{
            width: 500px;
            height: 30px;
            background: #ccd;
            float: right;
            text-align:center
        }
     .dingyi3{
            width: 500px;
            height: 500px;
            border-color: #ccd;
            float: right;
            text-align:center
        }
     .dingyi4{
            width: 1400px;
            height:700px;
            border: 1px solid #e1e1e1;
            &lt;!--border-radius: 15%;--&gt;
            padding-left: 200px;
            float: center;
            margin-left:220px;
       }
     .dingyi5{
            width: 800px;
            height:600px;
            border-right: 1px dashed #e1e1e2;
            padding-left: 100px;
            float: left;
            margin-left: 50px;
            margin-top: 50px;
       }
     .dingyi6{
            width: 300px;
            height:600px;
            &lt;!--border: 1px solid #e1e1e2;--&gt;
            padding-left: 100px;
            float: right;
            margin-top: 50px;
       }
     &lt;/style&gt;
&lt;/head&gt;</pre>
<p>head定义完成后就可以定义body了：</p>
<pre>&lt;body&gt;
    &lt;div style="height: 37px;background-color:#ccd"&gt;
        &lt;div class="dingyi" style="margin-top:7px"&gt;
            &lt;a href="https://www.baidu.com" style="height: 30px"&gt;*收藏本站&lt;/a&gt;
        &lt;/div&gt;
        &lt;div class="dingyi2" style="margin-top:7px"&gt;
            &lt;a href="http://www.baidu.com" style="height: 30px"&gt;登录&lt;/a&gt;
            &lt;a href="http://www.baidu.com" style="height: 30px"&gt;免费注册&lt;/a&gt;
            &lt;a href="http://www.baidu.com" style="height: 30px"&gt;我的订单&lt;/a&gt;
            &lt;a href="http://www.baidu.com" style="height: 30px"&gt;VIP会员俱乐部&lt;/a&gt;
        &lt;/div&gt;
    &lt;/div&gt;
    &lt;div&gt;
        &lt;img src="https://ss3.bdstatic.com/70cFv8Sh_Q1YnxGkpoWK1HF6hhy/it/u=508710356,2971756153&amp;fm=27&amp;gp=0.jpg" style="height:100px;width:150px;margin-left:200px"&gt;
    &lt;/div&gt;
    &lt;!--&lt;div style="height: 1000px"&gt;--&gt;
    &lt;div class="dingyi4"&gt;
        &lt;div class="dingyi5"&gt;
            &lt;h1&gt;注册新用户&lt;/h1&gt;
            &lt;h3 style="margin-left: 20px"&gt;*用户名：&lt;input type="text" name="username"&gt;&lt;/h3&gt;
            &lt;h3 style="margin-left: 20px"&gt;*手机号：&lt;input type="text" name="phone_number"&gt;&lt;/h3&gt;
            &lt;h3&gt;*登录密码：&lt;input type="text" name="password"&gt;&lt;/h3&gt;
            &lt;h3&gt;*确认密码：&lt;input type="text" name="password2"&gt;&lt;/h3&gt;
            &lt;h3 style="margin-left: 20px"&gt;*验证码：&lt;input type="text" name="yanzhengma"&gt;&lt;/h3&gt;
            &lt;p&gt;&lt;input type="radio" &gt;我已阅读并同意 &lt;a href=""&gt;&lt;&lt;用户注册协议&gt;&gt;&lt;/a&gt;&lt;/p&gt;
            &lt;p&gt;&lt;input type="submit" value="同意以上协议并注册" style="background:red; margin-left: 70px "&gt;&lt;/p&gt;
        &lt;/div&gt;
        &lt;div class="dingyi6"&gt;
            &lt;div&gt;我已经注册，现在就 &lt;a href=""&gt;登录&lt;/a&gt;&lt;/div&gt;
            &lt;div&gt;&lt;img src="https://timgsa.baidu.com/timg?image&amp;quality=80&amp;size=b9999_10000&amp;sec=1506061552313&amp;di=953a3881c5dfc92c9644a10b19a3859d&amp;imgtype=0&amp;src=http%3A%2F%2Fimg2.tiandaoedu.com%2Fwww%2Fueditor%2Fnet%2Fupload%2F2016-01-30%2Fc0f1f525-f618-41f3-88cd-cff99ff95f95.jpg" style="height:150px;width:200px;margin-top:30px"&gt;&lt;/img&gt;&lt;/div&gt;
        &lt;/div&gt;

    &lt;/div&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>前端开发有个重要思想，盒子模型：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMTMzMzUvMjAxNzA5LzEyMTMzMzUtMjAxNzA5MjIxMTU5MzY3NTktODA5MTczMDMxLnBuZw==.jpg"></p>
<p>解释如下：</p>
<ul>
<li><strong>margin</strong>: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;用于控制元素与元素之间的距离；margin的最基本用途就是控制元素周围空间的间隔，从视觉角度上达到相互隔开的目的。</li>
<li><strong>padding</strong>: &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 用于控制内容与边框之间的距离；</li>
<li><strong>Border</strong>(边框): &nbsp; &nbsp; 围绕在内边距和内容外的边框。</li>
<li><strong>Content</strong>(内容): &nbsp; 盒子的内容，显示文本和图像。</li>
</ul>
<p>通过以上代码就可以得到一个相应的页面：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNy5jbmJsb2dzLmNvbS9ibG9nLzEyMTMzMzUvMjAxNzA5LzEyMTMzMzUtMjAxNzA5MjIxMjAwMzY3NzUtMTkzODQ5NjAwMi5wbmc=.jpg"></p>
<p>后期还可以进行优化！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-08 07:44:52 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/ash/" title="ash">ash</a>, <a href="https://www.biecuoliao.com/tag/stat/" title="stat">stat</a>, <a href="https://www.biecuoliao.com/tag/har/" title="har">har</a>, <a href="https://www.biecuoliao.com/tag/%e5%8d%8f%e8%ae%ae/" title="协议">协议</a>, <a href="https://www.biecuoliao.com/tag/test/" title="test">test</a>, <a href="https://www.biecuoliao.com/tag/%e9%83%a8%e5%88%86/" title="部分">部分</a>, <a href="https://www.biecuoliao.com/tag/utf8/" title="utf8">utf8</a>, <a href="https://www.biecuoliao.com/tag/%e7%a9%ba%e9%97%b4/" title="空间">空间</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%b4%e9%83%a8/" title="头部">头部</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>web前端一的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/VMGrA4z.html" rel="bookmark">一张图掌握移动Web前端所有技术（大前端、工程化、预编译、自动化）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你要的移动web前端都在这里! 大前端方向:移动Web前端.Native客户端.Node.js. 大前端框架:React.Vue.js.Koa 跨终端技术:HTML 5.CSS 3.JavaScript 跨平台框架:React Native.Cordova 前端工程化:Grunt.Gulp.Webpack 前端预编译:Babel.Sass.Less 自动化测试:Jasmine.Mocha.Karma 一图在手,应有尽有! 更多信息参考:https://item.jd.com/12170351.h			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/1388pZ3.html" rel="bookmark">一个8年web前端从业者的迷茫</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来自一个8年前端从业者的迷茫 本人aming,创办了切图网 qietu.com,很少写这种自传性的帖子,希望能看完,因为会涉及到一些前端经验之谈. 8年前端从业者,8年光景不长,但是在web前端这个行业也不少了 ,我也是一个创业者,没有就职过BAT 是一个遗憾, 现在身边有些同学就职BAT 当高管,所以我想现在进到BAT应该还是有机会的 :) , 不过我还是毅然选择了创业. 理由很简单, 我骨子里不愿意给别人打工,我知道越早跳出来越容易,不然等到职位越来越高,薪水越来越高的时候,你不一定还有那个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/v0kDxl3.html" rel="bookmark">Web前端面试题目及答案汇总</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前端新人在面试前都比较焦虑,担心回答不上面试官的问题,也担心自己紧张,其实这都是心理没底的表现,今天和大家分享web前端开发常见面试题及答案,希望可以帮助即将面试的前端同学顺利通过面试. HTML/CSS部分 1.什么是盒子模型? 在网页中,一个元素占有空间的大小由几个部分构成,其中包括元素的内容(content),元素的内边距(padding),元素的边框(border),元素的外边距(margin)四个部分.这四个部分占有的空间中,有的部分可以显示相应的内容,而有的部分只用来分隔相邻的区域或			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/n0lGEPM.html" rel="bookmark">Web 前端开发学习之路（入门篇）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				字数1374 阅读4622 评论0 喜欢49 以前学习过一段时间的web前端开发,整理了一些我看过的/我认为比较好的学习资料(网站.书籍).不要问我为啥没有进阶版,我只是一条产品汪而已,求轻喷.＝＝ 以下引用知乎 @李路 的话. 以我的经验,大部分技术,熟读下列四类书籍即可. 入门,用浅显的语言和方式讲述正确的道理和方法,如head first系列全面,巨细无遗地探讨每个细节,遇到疑难问题时往往可以在这里得到理论解答,如Definitive Guide/Programming xx系列实践,结合			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/BMzQdk4.html" rel="bookmark">web前端笔记1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web1.0时代:(联合) web2.0时代:(互动) 互联网没有崩溃,比以往更加重要.更加注重用户的交互作用. web3.0时代:(技术革新.统一通信协议) 语义化实现.(发展阶段) web4.0(AI人工智能) web前端工程师: 侠义:html.css.js 实习生要求:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/k0nkpK3.html" rel="bookmark">web前端工程师应该会的9个软技能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				做为一名web前端工程师(http://www.maiziedu.com/course/web-px/),往往我们可能只专注于修炼自己的内功,而忽视了软技能.硬技能决定你是否能得到工作,而软技能能够表明你是否适合这份工作和适应工作环境等.所有的公司都有属于自己的文化,并努力将这些文化传承下去,所以他们必须确保每一位新员工能够适应这个环境. 许多硬技能很容易获得并可很快的提高,而软技能由于和你性格等联系紧密,可想要改变他们是一件很困难和缓慢的事情.这里有七个核心的软技能,适用于大多数的企业,它们不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41GKk0.html" rel="bookmark">腾讯web前端开发工程师笔试题及答案</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 如何实现事件委托? 首先要知道什么是事件委托. 考虑一个列表,在li的数量非常少的时候,为每一个li添加事件侦听当然不会存在太多性能方面的问题,但是当列表非常的长,长到上百上千甚至上万的时候(当然只是一个解释,实际工作中很少遇到这么多li的情况),为每个li添加事件侦听就会对页面性能产生很大的影响. 就像下面这段代码: &lt;!DOCTYPE HTML&gt;&lt;html&gt;&lt;head&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;ti			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41yeq4.html" rel="bookmark">传智14期WEB前端培训</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本月刚毕业的,最新的前端技术 下载地址:http://www.zygx8.com/thread-4882-1-1.html \web前端14期\01-HTML-基础班\1.html基础一上课资料.rar  \web前端14期\01-HTML-基础班\2.html基础二上课资料.rar  \web前端14期\02-CSS-基础班\3.css基础一上课资料.rar  \web前端14期\02-CSS-基础班\4.css基础二上课资料.rar  \web前端14期\02-CSS-基础班\5.css基础			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/yMXGp84.html" rel="bookmark">WEB前端学习笔记 一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近时间比较充裕,整理了一下学习过的笔记,此篇笔记包含了:Html.Css.JavaScript.Jquery.以及使用帝国CMS或是织梦CMS建立自己的网站,也许也会整理一下PHP的笔记,如果时间允许会整理完全. 虽然笔记是从最基础的开始,但是,并不包含电脑的基础知识,所以你必须已经掌握了一些电脑的基本操作,比如开关机,你的电脑用的是什么操作系统,至少也要会用word和wps吧.浏览器是做什么的,什么拷贝.复制.粘贴.知道最基本的文件类型,如,文本文件,视频文件,图片文件,什么是可执行文件,分			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/QM6eoZ4.html" rel="bookmark">WEB前端：01&lowbar;Tab选项卡</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Tab选项卡 采用两种方法实现选项卡切换功能,目前只提供了最基本的切换效果,后期增加jquery版和渐变切换效果. 效果图: 纯JS简化版: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 &lt;html&gt; &lt;head&gt; &lt;ti			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/bMomxy3.html" rel="bookmark" class="title">蓝鸥Unity开发基础&mdash;&mdash;Switch语句学习笔记</a>
					<div>
						一.Switch语法 属于多分支语句,通过判断表达式的值,来决定执行哪个分支 Break用于结束某个case,然后执行switch之外的语句 Switch-开关:case-情况开关决定发生的情况 二. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3we2bM.html" rel="bookmark" class="title">SQL SERVER的统计信息</a>
					<div>
						可以看到,统计信息分为三部分内容,头信息,数据字段选择性及直方图. 2.1 头信息 列名 说明 Name 统计信息的名称. Updated 上次更新统计信息的日期何时间 Rows 预估表中的行数,不一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YYRvJ0.html" rel="bookmark" class="title">去长江边走走，看看</a>
					<div>
						没想到这里雾霾 也这么严重....    					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mg5Zkg3.html" rel="bookmark" class="title">悄和迂茁忠炎指环敲式恫子链瘸倌</a>
					<div>
						http://www.tagged.com/ehkzkkrn/20150306.html http://www.tagged.com/kuylqdev/20150306.html http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kDv7E3.html" rel="bookmark" class="title">关于presentViewController的后的background变黑的问题</a>
					<div>
						先看一下效果图: 用如下代码,想弹出一个模态窗口,设置它的背景透明度为0.5,却发觉prsent后的背景色变为黑色的. ShareVC *share = [[ShareVC alloc] init]; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JzevB4.html" rel="bookmark" class="title">Html5基于SVG的扁平风格圆形进度条javascript插件教程</a>
					<div>
						一.使用方法 使用该圆形进度条需要引入circleDonutChart.js文件. &lt;script type=&quot;text/javascript&quot; src=&quot;circ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NaJLG3.html" rel="bookmark" class="title">php将html转成word文档下载</a>
					<div>
						&lt;meta charset=&quot;utf-8&quot; /&gt; &lt;?php class word{ function start(){ ob_start(); echo '&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4p5KYPM.html" rel="bookmark" class="title">U盘、系统备份</a>
					<div>
						1.首先我们将制作好的老毛桃u盘启动盘插进电脑USB插口,然后通过开机之后的启动快捷键引导进入老毛桃u盘启动盘v5.0主菜单界面,将光标移至&quot;[02]运行老毛桃 Win2003PE系统(装机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qa7xG3.html" rel="bookmark" class="title">js异步方式</a>
					<div>
						node.js的例子 1.回调 创建 main.js 文件 var fs = require(&quot;fs&quot;); fs.readFile('input.txt','utf8', func ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0Y7Nda4.html" rel="bookmark" class="title">UVA 12716 GCD XOR【异或】</a>
					<div>
						参考:http://www.cnblogs.com/naturepengchen/articles/3952145.html #include&lt;stdio.h&gt; #include&lt;s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWDmQm0.html" rel="bookmark" class="title">如何给Sublime安装插件</a>
					<div>
						第一步:点击链接http://sublime.wbond.net/Package%20Control.sublime-package下载Package Control. 第二步:点击打开Sublime ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPwGom4.html" rel="bookmark" class="title">构建ASP&period;NET MVC4&plus;EF5&plus;EasyUI&plus;Unity2&period;x注入的后台管理系统（38）-Easyui-accordion&plus;tree漂亮的菜单导航</a>
					<div>
						本节主要知识点是easyui 的手风琴加树结构做菜单导航 有园友抱怨原来菜单非常难看,但是基于原有树形无限级别的设计,没有办法只能已树形展示 先来看原来的效果 改变后的效果,当然我已经做好了,最后只放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgE7D83.html" rel="bookmark" class="title">NET Runtime version 2&period;0&period;50727&period;42 - 执行引擎错误 或者无法创建应用程序域</a>
					<div>
						server2003操作系统 IIS运行应用程序报错,应用程序事件查看器详细: NET Runtime version 2.0.50727.42 - 执行引擎错误 或者无法创建应用程序域 解决方法:卸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49k8Dp0.html" rel="bookmark" class="title">程序设计模式 &mdash;&mdash; 抽象工厂模式</a>
					<div>
						前言 工厂?意思是创建变量的厂子?要这个干什么?为什么不直接new new new!! 定义:为创建一组相关或相互依赖的对象提供一个接口,而无需指定他们的具体类. 但是,从现在开始,请不要再使用new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzBBlAM.html" rel="bookmark" class="title">CAS sso配置</a>
					<div>
						最近在研究sso单点登录的问题,研究了网上许多案例以及代码,发现总是有很大的差别,最后通过官网下载,才发现cas3 与 cas 4 的配置存在区别,这就是差别很大的原因了. 官网地址如下: https ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MVvpGdM.html" rel="bookmark" class="title">沫沫金：EasyUI 固定列</a>
					<div>
						使用 frozenColumns:[[{field:'NAME',title:'医疗分类名称',width:80}]], 注意:必须设置宽度才有效.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPJA663.html" rel="bookmark" class="title">sed 学习</a>
					<div>
						sed 是一种在线编辑器,它一次处理一行内容.处理时,把当前处理的行存储在临时缓冲区中,称为&quot;模式空间&quot;(pattern space),接着用sed命令处理缓冲区中的内容,处理完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35NpR24.html" rel="bookmark" class="title">File类的简单使用</a>
					<div>
						File类: 1.什么是File类? 文件和文件目录的抽象表示 2.用来干什么? 用来对文件或者文件进行简单的读,这里的读是指对文件的属性进行读,获取文件的属性到jvm上面去,可以打印到控制台上. 可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aG26k4.html" rel="bookmark" class="title">luogu P2871 &lbrack;USACO07DEC&rsqb;手链Charm Bracelet</a>
					<div>
						题目描述 Bessie has gone to the mall's jewelry store and spies a charm bracelet. Of course, she'd like t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeRom0.html" rel="bookmark" class="title">【大数据处理】高效能，大数据量存储方案SqlBulkCopy</a>
					<div>
						前些日子,公司要求做一个数据导入程序,要求将Excel数据,大批量的导入到数据库中,尽量少的访问数据库,高性能的对数据库进行存储.于是在网上进行查找,发现了一个比较好的解决方案,就是采用SqlBulk ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
